> For the complete documentation index, see [llms.txt](https://doc.blowhorn.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.blowhorn.com/api-docs/wms-outbound/shipping-label.md).

# Shipping Label

## Create a Shipping Label

<mark style="color:green;">`POST`</mark> `/order/shippinglabel/`

Use this API to generate the shipping label of orders.

The order numbers are sufficient to create the shipping label or the order payload can be sent in which *awb\_number, shipping\_address along with pincode and mobile no.* are mandatory.

#### Query Parameters

| Name                                       | Type   | Description                              |
| ------------------------------------------ | ------ | ---------------------------------------- |
| API\_KEY<mark style="color:red;">\*</mark> | String | API key obtained by the Customer/Partner |

#### Request Body

| Name                                                  | Type    | Description                                                                                                                                                                                                                                                                            |
| ----------------------------------------------------- | ------- | -------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| order\_numbers\[]<mark style="color:red;">\*</mark>   | String  | <p>Single or set of order numbers to which shipment label needs to be created.</p><p><strong>Note:</strong> This is conditionally optional. Either 'order\_numbers\[]' or payload containing shipment details mentioned <strong>ALL</strong> below as required should be provided.</p> |
| awb\_number<mark style="color:red;">\*</mark>         | String  | Received AWB number for the order received from Blowhorn.                                                                                                                                                                                                                              |
| primary\_mobile\_no<mark style="color:red;">\*</mark> | String  | Phone number of the end consumer / recipient of the shipment                                                                                                                                                                                                                           |
| shipping\_address<mark style="color:red;">\*</mark>   | String  | The address where the shipment is expected to be delivered.                                                                                                                                                                                                                            |
| delivery\_pincode<mark style="color:red;">\*</mark>   | String  | The pincode of the delivery address where the shipment is expected to be delivered.                                                                                                                                                                                                    |
| order\_id                                             | String  | Reference number of the orders sent when the shipment order was created in the Blowhorn system.                                                                                                                                                                                        |
| customer\_name                                        | String  | End customer name to whom the package needs to be delivered.                                                                                                                                                                                                                           |
| return\_address                                       | String  | Return address of the seller partner in case of the item needs to be returned when package cannot be delivered.                                                                                                                                                                        |
| is\_cod                                               | Boolean | Flag to indicate if the order is cash on delivery. Default is false.                                                                                                                                                                                                                   |
| amount\_to\_collect                                   | String  | Total amount to be collected from the end customer if the order is of COD type else it should be '0.00'                                                                                                                                                                                |
| date\_placed                                          | String  | Date when the order is placed. Ex: "2022-03-18 05:41:08"                                                                                                                                                                                                                               |
| weight                                                | String  | The weight of the items in grams                                                                                                                                                                                                                                                       |
| dimensions                                            | String  | The dimensions of the package defined by below three parameters length, breadth and height                                                                                                                                                                                             |
| length                                                | String  | Length of the package to be delivered.                                                                                                                                                                                                                                                 |
| breadth                                               | String  | breadth of the package to be delivered.                                                                                                                                                                                                                                                |
| height                                                | String  | height of the package to be delivered                                                                                                                                                                                                                                                  |
| sku\_details                                          | String  | This is set containing details of all the shipment items inside the package. This includes name, quantity, price per item, total price for an item and weight etx.                                                                                                                     |
| name                                                  | String  | The SKU name. It should be unique for each item sent like in the host systems like EAN / UPC code.                                                                                                                                                                                     |
| quantity                                              | String  | The quantity of the SKU that should be fulfilled                                                                                                                                                                                                                                       |
| weight                                                | String  | The weight of the line item in grams                                                                                                                                                                                                                                                   |
| each\_item\_price                                     | String  | Selling price of the SKU                                                                                                                                                                                                                                                               |
| total\_item\_price                                    | String  | The sell price of the entire line taking into account the discounts(invoice value).                                                                                                                                                                                                    |

{% tabs %}
{% tab title="200: OK Successful creation of shipping label" %}

```json
{
    "status": "SUCCESS",
    "url": "https://dhalf0kt5yvr3.cloudfront.net/media/uploads/documents/orders/161/shipment/2022-05-23/22Z1WU8/BD72C191894447EDB9B7B302797CEF30.PDF?Expires=1653449032&Signature=Vw~9K4TVBwGWBIwiu1h4Tr4OwdoGNICTZB5YL62qjGPl2CEPewt4-eWonLwPFbJViHcC5EuYxRL3Pqs~Qji2gjqxIrh8uGl6zSi-FzgsneE5JrHIr2hyotpkbVgUeYAtG~nbeEg~Nk-WJVEQUF4NPw5oJpQ0G4OioHSj1TBH7d9ZoXnh5U0lE7fjBl9oFIC0XpSgf5beTOWgK8~4AAES-L6XvV8IyGvR8IJ11cQY5-OUrE25F48G6S2hBNsAZwvjGDxbYsuYo4kDtJeOUfJbRBoe3H3Oo1e9L1SnQyhntBe0FPztJo8TGEUzg-dmln1CAoWuf97t8Wi4UG87L-rTMQ__&Key-Pair-Id=APKAIPXF7DN7UR2FCFUQ"
}
```

{% endtab %}

{% tab title="400: Bad Request Missing required parameters" %}

```javascript
{
    "status": "FAIL",
    "message": "AWB Number is mandatory for shipping label"
}
```

{% endtab %}

{% tab title="500: Internal Server Error Unexpected Error" %}

```javascript
{
  "status": "FAIL",
  "message": "Unexpected error"
}
```

{% endtab %}

{% tab title="401: Unauthorized Unauthorized/Wrong API key" %}

```javascript
{
  "status": "FAIL",
  "message": "Unauthorized"
}
```

{% endtab %}
{% endtabs %}

{% tabs %}
{% tab title="Example Schema 01" %}

```json
{
    "order_numbers[]" : "SH-1XN9S3B,SH-1XNM3A8"
}
```

{% endtab %}

{% tab title="Example Schema 02" %}

```json
{
    "awb_number": "SH-1WY3U5C",
    "order_id": 4881968,
    "date_placed": "18 Oct 2021",
    "weight": "12",
    "amount_to_collect": "100",
    "dimensions": {
        "length": 10,
        "breadth": 11,
        "height": 10,
        "uom" : "cc"
    },
    "primary_mobile_no" : 9886555078,
    "customer_name": "Mahadevappa",
    "shipping_address" : "413, 2nd cross",
    "delivery_pincode": "560045",
    "return_address": "b-205, Nagarjuna Green Ridge, 560045"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.blowhorn.com/api-docs/wms-outbound/shipping-label.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
